Mailinglist Archive: opensuse-updates (118 mails)

< Previous Next >
openSUSE-SU-2016:2556-1: moderate: Security update for ffmpeg
openSUSE Security Update: Security update for ffmpeg
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:2556-1
Rating: moderate
References: #1003806
Cross-References: CVE-2016-7502 CVE-2016-7555 CVE-2016-7562
CVE-2016-7785 CVE-2016-7905
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

This update for ffmpeg fixes multiple security issues in ffmpeg
(boo#1003806)

These vulnerabilities can be triggered when processing specially crafted
avi video content, and could lead to crashes or have unspecified further
impact including potential code execution.

- CVE-2016-7562: out-of-bounds array write fault via specially crafted avi
files
- CVE-2016-7502: out-of-bounds array write via incorrect block values
- CVE-2016-7905: null-point-exception when decoding avi files with crafted
'gab2' structs
- CVE-2016-7555: memory leak when decoding avi files with crafted 'strh'
struct
- CVE-2016-7785: assert fault via avi files with crafted 'strh' struct


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-1203=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

ffmpeg-2.8.8-22.1
ffmpeg-debuginfo-2.8.8-22.1
ffmpeg-debugsource-2.8.8-22.1
ffmpeg-devel-2.8.8-22.1
libavcodec-devel-2.8.8-22.1
libavcodec56-2.8.8-22.1
libavcodec56-debuginfo-2.8.8-22.1
libavdevice-devel-2.8.8-22.1
libavdevice56-2.8.8-22.1
libavdevice56-debuginfo-2.8.8-22.1
libavfilter-devel-2.8.8-22.1
libavfilter5-2.8.8-22.1
libavfilter5-debuginfo-2.8.8-22.1
libavformat-devel-2.8.8-22.1
libavformat56-2.8.8-22.1
libavformat56-debuginfo-2.8.8-22.1
libavresample-devel-2.8.8-22.1
libavresample2-2.8.8-22.1
libavresample2-debuginfo-2.8.8-22.1
libavutil-devel-2.8.8-22.1
libavutil54-2.8.8-22.1
libavutil54-debuginfo-2.8.8-22.1
libpostproc-devel-2.8.8-22.1
libpostproc53-2.8.8-22.1
libpostproc53-debuginfo-2.8.8-22.1
libswresample-devel-2.8.8-22.1
libswresample1-2.8.8-22.1
libswresample1-debuginfo-2.8.8-22.1
libswscale-devel-2.8.8-22.1
libswscale3-2.8.8-22.1
libswscale3-debuginfo-2.8.8-22.1

- openSUSE Leap 42.1 (x86_64):

libavcodec56-32bit-2.8.8-22.1
libavcodec56-debuginfo-32bit-2.8.8-22.1
libavdevice56-32bit-2.8.8-22.1
libavdevice56-debuginfo-32bit-2.8.8-22.1
libavfilter5-32bit-2.8.8-22.1
libavfilter5-debuginfo-32bit-2.8.8-22.1
libavformat56-32bit-2.8.8-22.1
libavformat56-debuginfo-32bit-2.8.8-22.1
libavresample2-32bit-2.8.8-22.1
libavresample2-debuginfo-32bit-2.8.8-22.1
libavutil54-32bit-2.8.8-22.1
libavutil54-debuginfo-32bit-2.8.8-22.1
libpostproc53-32bit-2.8.8-22.1
libpostproc53-debuginfo-32bit-2.8.8-22.1
libswresample1-32bit-2.8.8-22.1
libswresample1-debuginfo-32bit-2.8.8-22.1
libswscale3-32bit-2.8.8-22.1
libswscale3-debuginfo-32bit-2.8.8-22.1


References:

https://www.suse.com/security/cve/CVE-2016-7502.html
https://www.suse.com/security/cve/CVE-2016-7555.html
https://www.suse.com/security/cve/CVE-2016-7562.html
https://www.suse.com/security/cve/CVE-2016-7785.html
https://www.suse.com/security/cve/CVE-2016-7905.html
https://bugzilla.suse.com/1003806


< Previous Next >
This Thread
  • No further messages